Roxen.git / server / base_server / global_variables.pike

version» Context lines:

Roxen.git/server/base_server/global_variables.pike:216:      protected int hide_if_empty(RequestID id, Variable.Variable var)   {    return !sizeof(var->query());   }      protected void update_ssl_suite_filter_default(Variable.Variable var)   {    int val = var->query();    if (!val || (val & 16)) { +  if (val && !(val & 4)) { +  var->set_warning(LOCALE(0, "Warning: RSA-encryption enabled.")); +  }    return;    }    val |= 16; // Upgrade marker.    if (!val & 4) {    val |= 4; // Change default to ephemeral.    }    var->low_set(val);   }      void set_up_ssl_variables( Protocol o )